package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;
import jdk.nashorn.internal.runtime.regexp.joni.Regex;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Description: 统一分割符
 */
public class StringReplaceChar extends UDF {

    public String evaluate(String val) {
        return StringUtils.isNotBlank(val) ? val.replaceAll("、",",")
                .replaceAll(";",",")
                .replaceAll("，",",")
                .replaceAll(" ",",")
                .replaceAll(":",",")
                .replaceAll("：",",")
                : "";
    }

    public static void main(String[] args) {
        String res = new StringReplaceChar().evaluate("中国，人123;za 早上5：xx");
        System.out.println(res);
    }
}
